package com.gh.common.exposure

/**
 *  统计曝光的列表的 adapter 需要实现这个接口
 */
interface IExposable {
    fun getEventByPosition(pos: Int): ExposureEvent?

    // 部分列表的 item 内嵌套了 recyclerview 这里获取这个 item 所携带的所有事件
    fun getEventListByPosition(pos: Int): List<ExposureEvent>?
}